ALSA project - the C library reference: /builddir/build/BUILD/alsa-lib-1.1.4.1/src/pcm/pcm_ladspa.c File Reference

ALSA project - the C library reference

- Main Page
- Related Pages
- Modules
- Data Structures
- Files
- Examples

- File List
- Globals

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Functions
pcm_ladspa.c File Reference

ALSA Plugin <-> LADSPA Plugin Interface. More...

## Functions
int | snd_pcm_ladspa_open (snd_pcm_t **pcmp, const char *name, const char *ladspa_path, unsigned int channels, snd_config_t *ladspa_pplugins, snd_config_t *ladspa_cplugins, snd_pcm_t *slave, int close_slave)
| Creates a new LADSPA<->ALSA Plugin. More...
int | _snd_pcm_ladspa_open (snd_pcm_t **pcmp, const char *name, snd_config_t *root, snd_config_t *conf, snd_pcm_stream_t stream, int mode)
| Creates a new LADSPA<->ALSA PCM. More...

## Detailed Description

ALSA Plugin <-> LADSPA Plugin Interface.

Author
  Jaroslav Kysela perex.nosp@m.@per.nosp@m.ex.cz
  Jaroslav Kysela perex.nosp@m.@per.nosp@m.ex.cz

Date
  2001,2006

## Function Documentation

int _snd_pcm_ladspa_open | ( | snd_pcm_t ** | pcmp,
|  | const char * | name,
|  | snd_config_t * | root,
|  | snd_config_t * | conf,
|  | snd_pcm_stream_t | stream,
|  | int | mode
| ) |  |

Creates a new LADSPA<->ALSA PCM.

Parameters

  pcmp | Returns created PCM handle
  name | Name of PCM
  root | Root configuration node
  conf | Configuration node with LADSPA<->ALSA PCM description
  stream | Stream type
  mode | Stream mode

Return values

  zero | on success otherwise a negative error code

Warning
  Using of this function might be dangerous in the sense of compatibility reasons. The prototype might be freely changed in future.

int snd_pcm_ladspa_open | ( | snd_pcm_t ** | pcmp,
|  | const char * | name,
|  | const char * | ladspa_path,
|  | unsigned int | channels,
|  | snd_config_t * | ladspa_pplugins,
|  | snd_config_t * | ladspa_cplugins,
|  | snd_pcm_t * | slave,
|  | int | close_slave
| ) |  |

Creates a new LADSPA<->ALSA Plugin.

Parameters

  pcmp | Returns created PCM handle
  name | Name of PCM
  ladspa_path | The path for LADSPA plugins
  channels | Force input channel count to LADSPA plugin chain, 0 = no force (auto)
  ladspa_pplugins | The playback configuration
  ladspa_cplugins | The capture configuration
  slave | Slave PCM handle
  close_slave | When set, the slave PCM handle is closed with copy PCM

Return values

  zero | on success otherwise a negative error code

Warning
  Using of this function might be dangerous in the sense of compatibility reasons. The prototype might be freely changed in future.